<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../talonario/cTalonario.php");

$oTalonario= new cTalonario();





require_once ("../documento/cDocumento.php");

$oDocumento = new cDocumento();



$dts=$oDocumento->mostrarUno($_POST['doc_id']);

	$dt = mysqli_fetch_array($dts);

	$mod_id=$dt['tb_modulo_id'];

	$doc_abr=$dt['tb_documento_abr'];

	$doc_nom=$dt['tb_documento_nom'];

	$doc_def=$dt['tb_documento_def'];

	$imp_id=$dt['tb_impresora_id'];

	mysqli_free_result($dts);





if($doc_abr=='T'){

	$ser = 'T00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='F'){

	$ser = 'F00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='B'){

	$ser = 'B00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='GR'){

	$ser = 'GR00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='NC'){

	$ser = 'NC00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='P'){

	$ser = 'P00'.$_SESSION['usuario_ser'];

}else if($doc_abr=='C'){

	$ser = 'C00'.$_SESSION['usuario_ser'];

}









$dts = $oTalonario->correlativo(1,$_POST['doc_id'],$ser);

$num_rows= mysqli_num_rows($dts);



if($num_rows>0)

{

	$dt = mysqli_fetch_array($dts);

		$ser=$dt['tb_talonario_ser'];

		$num=$dt['tb_talonario_num'];

		$fin=$dt['tb_talonario_fin'];

	mysqli_free_result($dts);



	$largo=strlen($fin);

	$num=str_pad($num,$largo, "0", STR_PAD_LEFT);

	

	$data['numero']=$ser.'-'.$num;

	

	$data['msj']='';

	echo json_encode($data);

}

else

{

	$data['msj']='Actualizar talonario.';

	echo json_encode($data);

}